Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# String_Base.h File Reference

String_Base.h,v 4.7 2002/04/11 11:28:37 jwillemsen Exp. More...

`#include "ace/pre.h"`
`#include "ace/ACE.h"`
`#include "ace/String_Base_Const.h"`
`#include "ace/post.h"`

Include dependency graph for String_Base.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_String_Base
| This class provides a wrapper facade for C strings. More...
## Functions
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &, const ACE_String_Base< CHAR > &)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &, const CHAR *)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const CHAR *, const ACE_String_Base< CHAR > &)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &t, const CHAR c)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const CHAR c, const ACE_String_Base< CHAR > &t)

## Detailed Description

String_Base.h,v 4.7 2002/04/11 11:28:37 jwillemsen Exp.

Author:
  Douglas C. Schmidt (schmidt@cs.wustl.edu) , Nanbor Wang <nanbor@cs.wustl.edu>

## Function Documentation

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const CHAR | c,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | t,
|  | const CHAR | c
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const CHAR * | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const CHAR * | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |